package com.hanwha.morakmorak.util

import androidx.lifecycle.MutableLiveData


/**
 * Created by aaron on 08/07/2019
 */

class NotNullMutableLiveData<T : Any>(defaultValue: T) : MutableLiveData<T>() {

    init {
        value = defaultValue
    }

    override fun getValue()  = super.getValue()!!
}